# == Class: openvpn::config
#
# This class sets up the openvpn enviornment as well as the default config file
#
#
# === Examples
#
# This class should not be directly invoked
#
# === Authors
#
# * Raffael Schmid <mailto:raffael@yux.ch>
# * John Kinsella <mailto:jlkinsel@gmail.com>
# * Justin Lambert <mailto:jlambert@letsevenup.com>
#
# === License
#
# Copyright 2013 Raffael Schmid, <raffael@yux.ch>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
class openvpn::config {

  if $::osfamily == 'Debian' {
    include concat::setup

    concat {
      '/etc/default/openvpn':
        owner  => root,
        group  => root,
        mode   => 644,
        warn   => true;
    }

    concat::fragment {
      'openvpn.default.header':
        content => template('openvpn/etc-default-openvpn.erb'),
        target  => '/etc/default/openvpn',
        order   => 01;
    }
  }
}
